Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nwalsh.saxon6
Class Table

    java.lang.Object
      |
      +--com.nwalsh.saxon6.Table

public class Table
extends java.lang.Object

Saxon extensions supporting Tables

$Id: Verbatim.java,v 1.3 2000/11/28 23:12:52 ndw Exp $

Copyright (C) 2000 Norman Walsh.

This class provides a Saxon implementation of some code to adjust CALS Tables to HTML Tables.

Column Widths

The `columnWidth` method takes a result tree fragment (assumed to contain the colgroup of an HTML Table) and returns the result tree fragment with the column widths adjusted to HTML terms.

Change Log:

1.0

  Initial release.

Constructor Summary
`Table()` Constructor for Verbatim

Method Summary
`static com.icl.saxon.expr.FragmentValue` | `adjustColumnWidths(com.icl.saxon.Context context, com.icl.saxon.expr.FragmentValue rtf)`
`static int` | `convertLength(java.lang.String length)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Table

    public Table()

  Constructor for Verbatim

  All of the methods are static, so the constructor does nothing.

Method Detail

### convertLength

    public static int convertLength(java.lang.String length)

### adjustColumnWidths

    public static com.icl.saxon.expr.FragmentValue adjustColumnWidths(com.icl.saxon.Context context,
                                                                      com.icl.saxon.expr.FragmentValue rtf)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD